Groovy 1.7.10

## groovy.lang
[Java] Class ExpandoMetaClass.ExpandoMetaProperty

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.ExpandoMetaProperty

    protected class ExpandoMetaClass.ExpandoMetaProperty
    extends GroovyObjectSupport

Instances of this class are returned when using the << left shift operator.

Example:

metaClass.myMethod << { String args -> }

This allows callbacks to the ExpandoMetaClass for registering appending methods

Authors:
  Graeme Rocher

Field Summary
`protected boolean` | `isStatic`
`protected String` | `propertyName`

Constructor Summary
`protected ExpandoMetaClass.ExpandoMetaProperty(String name)`
`protected ExpandoMetaClass.ExpandoMetaProperty(String name, boolean isStatic)`

Method Summary
`Object` | `getProperty(String property)`
`String` | `getPropertyName()`
`boolean` | `isStatic()`
`Object` | `leftShift(Object arg)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### isStatic

    protected boolean isStatic

### propertyName

    protected String propertyName

Constructor Detail

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(String name)

### ExpandoMetaClass.ExpandoMetaProperty

    protected ExpandoMetaClass.ExpandoMetaProperty(String name, boolean isStatic)

Method Detail

### getProperty

    public Object getProperty(String property)

### getPropertyName

    public String getPropertyName()

### isStatic

    public boolean isStatic()

### leftShift

    public Object leftShift(Object arg)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.